Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cli
Class CliSessionState

    java.lang.Object
      org.apache.cassandra.cli.CliSessionState

    public class CliSessionState

extends java.lang.Object

Used to hold the state for the CLI.

Field Summary
`boolean` | `debug`
`java.io.PrintStream` | `err`
`boolean` | `framed`
`java.lang.String` | `hostName`
`java.io.InputStream` | `in`
`java.lang.String` | `keyspace`
`java.io.PrintStream` | `out`
`java.lang.String` | `password`
`int` | `thriftPort`
`java.lang.String` | `username`

Constructor Summary
`CliSessionState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hostName

    public java.lang.String hostName

### thriftPort

    public int thriftPort

### framed

    public boolean framed

### debug

    public boolean debug

### username

    public java.lang.String username

### password

    public java.lang.String password

### keyspace

    public java.lang.String keyspace

### in

    public java.io.InputStream in

### out

    public java.io.PrintStream out

### err

    public java.io.PrintStream err

Constructor Detail

### CliSessionState

    public CliSessionState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation